"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.all = exports.filterBy = exports.filterByDataTag = void 0;
exports.filterByDataTag = function (targetTag, label) {
    return (points) => {
        return {
            points: points.filter((point) => point.tags.find((tag) => tag.value === targetTag.value)),
            label: label
        };
    };
};
exports.filterBy = function (section, key) {
    return (points) => {
        return {
            points: points.filter((point) => point[section] === key),
            label: key
        };
    };
};
const all = function (section) {
    return (keys) => {
        return Object.keys(keys[section])
            .map(key => exports.filterBy(section, key));
    };
};
exports.all = all;
//# sourceMappingURL=filter.js.map