"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getData = exports.grid = exports.Reader = void 0;
const client_1 = require("@prisma/client");
const query_1 = require("./query");
const import_1 = require("./import");
const filter_1 = require("./filter");
const cell_1 = require("./cell");
const getData = (selector, grid, prisma) => __awaiter(void 0, void 0, void 0, function* () {
    if (!prisma) {
        prisma = new client_1.PrismaClient();
    }
    const query = new query_1.Query(prisma);
    yield query.get(selector);
    const result = query.merge(grid)
        .toSeriesCategories();
    yield query.prisma.$disconnect();
    return result;
});
exports.getData = getData;
const Reader = import_1.Import;
exports.Reader = Reader;
const grid = {
    all: filter_1.all, value: cell_1.value
};
exports.grid = grid;
//# sourceMappingURL=index.js.map