import { PrismaClient } from '@prisma/client';
import { Datasheet, TagWhereBySomeId, DataTag, Sheets, DataGrid, DataPoint, Result, CellKeys, DataPointFilter } from './types';
export declare class Query {
    prisma: PrismaClient;
    clause: any;
    sheets: Datasheet[];
    keys: CellKeys;
    points: DataPoint[];
    grid: DataGrid;
    result: Result;
    constructor(prisma: PrismaClient);
    get(tags: DataTag[]): Promise<Query>;
    parseSheets(sheets: Sheets): void;
    setDataPoints(): void;
    addKey(category: string, value: string): void;
    merge(grid: DataGrid): this;
    toSeriesCategories(): {
        series: unknown[];
        categories: {
            label: string;
            values: (string | number | null)[];
        }[];
    };
    checkForCallback: (cb: any, keys: CellKeys) => DataPointFilter[];
    clauseCallback: (id: number) => TagWhereBySomeId;
    setNestedClause(clause: any, id: number): void;
    getTagIds(tags: DataTag[]): Promise<number[]>;
    setCategoryId(tag: DataTag): Promise<void>;
    setTagId(tag: DataTag): Promise<void>;
}
